Skip to main content
Server path: /webflow-content | Type: Application | PCID required: Yes

Tools

ToolDescription
webflow_content_add_custom_code_to_pageAdd or update custom code on a page
webflow_content_add_custom_code_tositeAdd or update custom code on a site
webflow_content_create_assetUpload Asset
webflow_content_create_asset_folderCreate Asset Folder
webflow_content_delete_assetDelete Asset
webflow_content_delete_form_submissionDelete Form Submission
webflow_content_delete_form_submission_by_siteDelete Form Submission by Site
webflow_content_delete_page_custom_codeDelete custom code from a page
webflow_content_delete_site_custom_codeDelete custom code from a site
webflow_content_get_assetGet Asset
webflow_content_get_asset_folderGet Asset Folder
webflow_content_get_component_contentGet Component Content
webflow_content_get_component_propertiesGet Component Properties
webflow_content_get_form_schemaGet Form Schema
webflow_content_get_form_submissionGet Form Submission
webflow_content_get_form_submission_by_siteGet Form Submission by Site
webflow_content_get_page_custom_codeGet custom code for a page
webflow_content_get_page_metadataGet Page Metadata
webflow_content_get_scriptsGet Registered Scripts
webflow_content_get_site_custom_codeGet custom code for a site
webflow_content_get_site_custom_code_blocksList Custom Code Blocks
webflow_content_get_static_contentGet Page Content
webflow_content_list_asset_foldersList Asset Folders
webflow_content_list_assetsList Assets
webflow_content_list_componentsList Components
webflow_content_list_formsList Forms
webflow_content_list_pagesList Pages
webflow_content_list_submissionsList form submissions by form
webflow_content_list_submissions_2List form submissions by site and form
webflow_content_list_submissions_by_siteList Form Submissions by Site
webflow_content_modify_form_submissionModify Form Submission
webflow_content_modify_form_submission_by_siteModify Form Submission by Site
webflow_content_patch_assetUpdate Asset
webflow_content_post_hosted_scriptRegister Script - Hosted
webflow_content_post_inline_scriptsRegister Script - Inline
webflow_content_update_component_contentUpdate Component Content
webflow_content_update_component_propertiesUpdate Component Properties
webflow_content_update_page_settingsUpdate Page Metadata
webflow_content_update_static_contentUpdate Page Content

webflow_content_add_custom_code_to_page

Add or update custom code on a page Parameters:
ParameterTypeRequiredDefaultDescription
page_idstringYesUnique identifier for a Page
createdOnstringNoDate when the Site’s scripts were created
lastUpdatedstringNoDate when the Site’s scripts were last updated
scriptsobject[]NoA list of scripts applied to a Site or a Page

webflow_content_add_custom_code_tosite

Add or update custom code on a site Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
createdOnstringNoDate when the Site’s scripts were created
lastUpdatedstringNoDate when the Site’s scripts were last updated
scriptsobject[]NoA list of scripts applied to a Site or a Page

webflow_content_create_asset

Upload Asset Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
bodyobjectYesInformation about the asset to create

webflow_content_create_asset_folder

Create Asset Folder Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
bodyobjectYesRequest body

webflow_content_delete_asset

Delete Asset Parameters:
ParameterTypeRequiredDefaultDescription
asset_idstringYesUnique identifier for an Asset on a site

webflow_content_delete_form_submission

Delete Form Submission Parameters:
ParameterTypeRequiredDefaultDescription
form_submission_idstringYesUnique identifier for a Form Submission

webflow_content_delete_form_submission_by_site

Delete Form Submission by Site Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
form_submission_idstringYesUnique identifier for a Form Submission

webflow_content_delete_page_custom_code

Delete custom code from a page Parameters:
ParameterTypeRequiredDefaultDescription
page_idstringYesUnique identifier for a Page

webflow_content_delete_site_custom_code

Delete custom code from a site Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site

webflow_content_get_asset

Get Asset Parameters:
ParameterTypeRequiredDefaultDescription
asset_idstringYesUnique identifier for an Asset on a site
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.

webflow_content_get_asset_folder

Get Asset Folder Parameters:
ParameterTypeRequiredDefaultDescription
asset_folder_idstringYesUnique identifier for an Asset Folder

webflow_content_get_component_content

Get Component Content Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
component_idstringYesUnique identifier for a Component
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
branchIdstringNoScope the operation to work on a specific branch.
limitintegerNoMaximum number of records to be returned (max limit: 100)
offsetintegerNoOffset used for pagination if the results have more than limit records

webflow_content_get_component_properties

Get Component Properties Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
component_idstringYesUnique identifier for a Component
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
branchIdstringNoScope the operation to work on a specific branch.
limitintegerNoMaximum number of records to be returned (max limit: 100)
offsetintegerNoOffset used for pagination if the results have more than limit records

webflow_content_get_form_schema

Get Form Schema Parameters:
ParameterTypeRequiredDefaultDescription
form_idstringYesUnique identifier for a Form

webflow_content_get_form_submission

Get Form Submission Parameters:
ParameterTypeRequiredDefaultDescription
form_submission_idstringYesUnique identifier for a Form Submission

webflow_content_get_form_submission_by_site

Get Form Submission by Site Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
form_submission_idstringYesUnique identifier for a Form Submission

webflow_content_get_page_custom_code

Get custom code for a page Parameters:
ParameterTypeRequiredDefaultDescription
page_idstringYesUnique identifier for a Page

webflow_content_get_page_metadata

Get Page Metadata Parameters:
ParameterTypeRequiredDefaultDescription
page_idstringYesUnique identifier for a Page
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.

webflow_content_get_scripts

Get Registered Scripts Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site

webflow_content_get_site_custom_code

Get custom code for a site Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site

webflow_content_get_site_custom_code_blocks

List Custom Code Blocks Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
offsetintegerNoOffset used for pagination if the results have more than limit records
limitintegerNoMaximum number of records to be returned (max limit: 100)

webflow_content_get_static_content

Get Page Content Parameters:
ParameterTypeRequiredDefaultDescription
page_idstringYesUnique identifier for a Page
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
limitintegerNoMaximum number of records to be returned (max limit: 100)
offsetintegerNoOffset used for pagination if the results have more than limit records

webflow_content_list_asset_folders

List Asset Folders Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site

webflow_content_list_assets

List Assets Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
offsetintegerNoOffset used for pagination if the results have more than limit records
limitintegerNoMaximum number of records to be returned (max limit: 100)

webflow_content_list_components

List Components Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
branchIdstringNoScope the operation to work on a specific branch.
limitintegerNoMaximum number of records to be returned (max limit: 100)
offsetintegerNoOffset used for pagination if the results have more than limit records

webflow_content_list_forms

List Forms Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
limitintegerNoMaximum number of records to be returned (max limit: 100)
offsetintegerNoOffset used for pagination if the results have more than limit records

webflow_content_list_pages

List Pages Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
limitintegerNoMaximum number of records to be returned (max limit: 100)
offsetintegerNoOffset used for pagination if the results have more than limit records

webflow_content_list_submissions

List form submissions by form Parameters:
ParameterTypeRequiredDefaultDescription
form_idstringYesUnique identifier for a Form
offsetintegerNoOffset used for pagination if the results have more than limit records
limitintegerNoMaximum number of records to be returned (max limit: 100)

webflow_content_list_submissions_2

List form submissions by site and form Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
form_idstringYesUnique identifier for a Form
offsetintegerNoOffset used for pagination if the results have more than limit records
limitintegerNoMaximum number of records to be returned (max limit: 100)

webflow_content_list_submissions_by_site

List Form Submissions by Site Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
elementIdstringNoIdentifier for an element
offsetintegerNoOffset used for pagination if the results have more than limit records
limitintegerNoMaximum number of records to be returned (max limit: 100)

webflow_content_modify_form_submission

Modify Form Submission Parameters:
ParameterTypeRequiredDefaultDescription
form_submission_idstringYesUnique identifier for a Form Submission
bodyobjectYesRequest body

webflow_content_modify_form_submission_by_site

Modify Form Submission by Site Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
form_submission_idstringYesUnique identifier for a Form Submission
bodyobjectYesRequest body

webflow_content_patch_asset

Update Asset Parameters:
ParameterTypeRequiredDefaultDescription
asset_idstringYesUnique identifier for an Asset on a site
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
bodyobjectYesInformation about the asset to update

webflow_content_post_hosted_script

Register Script - Hosted Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
bodyobjectNoA registered external script

webflow_content_post_inline_scripts

Register Script - Inline Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
bodyobjectNoA registered inline (Webflow-hosted) script

webflow_content_update_component_content

Update Component Content Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
component_idstringYesUnique identifier for a Component
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
branchIdstringNoScope the operation to work on a specific branch.
nodesobject[]YesList of DOM Nodes with the new content that will be updated in each node.

webflow_content_update_component_properties

Update Component Properties Parameters:
ParameterTypeRequiredDefaultDescription
site_idstringYesUnique identifier for a Site
component_idstringYesUnique identifier for a Component
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
branchIdstringNoScope the operation to work on a specific branch.
propertiesobject[]YesA list of component properties to update within the specified secondary locale.

webflow_content_update_page_settings

Update Page Metadata Parameters:
ParameterTypeRequiredDefaultDescription
page_idstringYesUnique identifier for a Page
localeIdstringNoUnique identifier for a specific Locale. Learn more about localization.
openGraphobjectNoOpen Graph fields for the Page
seoobjectNoSEO-related fields for the Page
slugstringNoSlug for the page. Note: Updating slugs in secondary locales is only supported in <a href=“https://webflow.com/localization”&gt;Advanced and Enterprise localization add-on plans.</a>
titlestringNoTitle for the page

webflow_content_update_static_content

Update Page Content Parameters:
ParameterTypeRequiredDefaultDescription
page_idstringYesUnique identifier for a Page
localeIdstringYesThe locale identifier.
nodesobject[]YesList of DOM Nodes with the new content that will be updated in each node.